Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Interface IWidgetTokenKeeperExtension

All Known Implementing Classes:
  ContentAssistant, InformationPresenter

public interface IWidgetTokenKeeperExtension

Extension interface for `IWidgetTokenKeeper`.

Replaces the original `requestWidgetToken` functionality with a new priority based approach. Adds the concept of focus handling.

Since:
  3.0

Method Summary
`boolean` | `requestWidgetToken(IWidgetTokenOwner owner, int priority)` The given widget token owner requests the widget token from this token keeper.
`boolean` | `setFocus(IWidgetTokenOwner owner)` Requests the receiver to give focus to its popup shell, hover, or similar.

Method Detail

### requestWidgetToken

    public boolean requestWidgetToken(IWidgetTokenOwner owner,
                                      int priority)

  The given widget token owner requests the widget token from this token keeper. Returns `true` if the token is released by this token keeper. Note, the keeper must not call `releaseWidgetToken(IWidgetTokenKeeper)` explicitly.

  The general contract is that the receiver should release the token if `priority` exceeds the receiver's priority.

  Parameters:
    `owner` - the token owner
    `priority` - the priority of the request
  Returns:
    `true` if token has been released `false` otherwise

### setFocus

    public boolean setFocus(IWidgetTokenOwner owner)

  Requests the receiver to give focus to its popup shell, hover, or similar. There is no assumption made whether the receiver actually succeeded in taking the focus. The return value gives a hint whether the receiver tried to take focus.

  Parameters:
    `owner` - the token owner
  Returns:
    `true` if the receiver tried to take focus, `false` if it did not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.